Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
[Java] Class ReportingBasePluginConvention

    java.lang.Object
      org.gradle.api.plugins.ReportingBasePluginConvention

    @Deprecated
    public class ReportingBasePluginConvention

A `BasePluginConvention` defines the convention properties and methods used by the ReportingBasePlugin.

This convention has been deprecated. Use the reporting extension instead:

     reporting {
         baseDir "the-reports"
     }

deprecated:
  This convention has been deprecated and replaced by ReportingExtension

Constructor Summary
`ReportingBasePluginConvention(ProjectInternal project, ReportingExtension extension)`

Method Summary
`String` | `getApiDocTitle()` Returns the title for API documentation for the project.
`File` | `getReportsDir()` Returns the directory containing all reports for this project.
`String` | `getReportsDirName()` Returns the name of the reports directory, relative to the project's build directory.
`void` | `setReportsDirName(String reportsDirName)` Sets the name of the reports directory, relative to the project's build directory.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ReportingBasePluginConvention

    public ReportingBasePluginConvention(ProjectInternal project, ReportingExtension extension)

Method Detail

### getApiDocTitle

    @Deprecated
    public String getApiDocTitle()

  Returns the title for API documentation for the project.
  deprecated:
    use ReportingExtension.getApiDocTitle
  Returns:
    The title. Never returns null.

### getReportsDir

    @Deprecated
    public File getReportsDir()

  Returns the directory containing all reports for this project.
  deprecated:
    use ReportingExtension.getBaseDir
  Returns:
    The reports directory. Never returns null.

### getReportsDirName

    @Deprecated
    public String getReportsDirName()

  Returns the name of the reports directory, relative to the project's build directory.
  deprecated:
    use ReportingExtension.getBaseDir
  Returns:
    The reports directory name. Never returns null.

### setReportsDirName

    @Deprecated
    public void setReportsDirName(String reportsDirName)

  Sets the name of the reports directory, relative to the project's build directory.
  deprecated:
    use ReportingExtension#setBaseDir(Object)#setBaseDir(Object)
  Parameters:
    `reportsDirName` - The reports directory name. Should not be null.

Gradle API 1.1-rc-1